Index: /extensions/oAuth/admin/template/providers.tpl
===================================================================
--- /extensions/oAuth/admin/template/providers.tpl	(revision 28862)
+++ /extensions/oAuth/admin/template/providers.tpl	(revision 28863)
@@ -84,44 +84,55 @@
     <div class="help">
     {if $provider.new_app_link}
+      {assign var=callback_url value=$OAUTH_CALLBACK|cat:$p}
+      
       <ol>
         <li>{'Go to <a href="%s" target="_blank">%s</a> and create a new application'|translate:$provider.new_app_link:$provider.new_app_link}</li>
+        <li>{'Fill out any required fields such as the application name and description'|translate}</li>
         
-      {if $p=='Google'}
-        <li>{'On the <b>APIs & auth -> Credentials</b> tab, <b>Create new client ID</b>'|translate}</li>
-      {else}
-        <li>{'Fill out any required fields such as the application name and description'|translate}</li>
-      {/if}
+      {if $p=='Facebook'}
+        <li>{'Go to <b>Settings -> Advanced</b> and set <b>Valid OAuth redirect URIs</b> to <em>%s</em>'|translate:$callback_url}</li>
+        <li>{'Go to <b>Settings -> Basic</b> and fill the contact email'|translate}</li>
+        <li>{'Click on <b>Add Platform</b>, choose <b>Website</b> and set the <b>Site URL</b> to <em>%s</em>'|translate:$WEBSITE}</li>
+        <li>{'Go to <b>Status & Review</b> and set the app public by clicking the big button on top-right'|translate}</li>
         
-      {if $provider.callback && $p!='Yahoo'}
-        <li>
-          {'Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>'|translate:($OAUTH_CALLBACK|cat:$p)}
-        </li>
-      {/if}
+      {elseif $p=='Google'}
+        <li>{'Once the process is finished, click on the newly created project'|translate}</li>
+        <li>{'On the <b>APIS & AUTH -> Credentials</b> tab, and click <b>Create new client ID</b>'|translate}</li>
+        <li>{'Set <b>%1s</b> to <em>%2s</em>'|translate:'Application Type':'Web Application'}</li>
+        <li>{'Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>'|translate:'<b>Authorized Javascript origins</b>':$SERVERNAME}</li>
+        <li>{'Enter <em>%1s</em> for <b>%2s</b>'|translate:$callback_url:'Authorized redirect URI'}</li>
       
-      {if $p=='Live'}
-        <li>{'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'|translate:'<b>Redirect Domain</b>':$WEBSITE}</li>
-      {elseif $p=='Facebook'}
-        <li>{'Go to <b>Settings->Advanced</b> and activate <em>Client OAuth Login</em>'|translate}</li>
-        <li>{'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'|translate:'<b>Valid OAuth redirect URIs</b>':$SERVERNAME}</li>
+      {elseif $p=='Instagram'}
+        <li>{'Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>'|translate:'<b>Website</b>':$WEBSITE}</li>
+        <li>{'Enter <em>%1s</em> for <b>%2s</b>'|translate:$callback_url:'OAuth redirect_uri'}</li>
+        
       {elseif $p=='LinkedIn'}
-        <li>{'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'|translate:'<b>Website URL</b>':$WEBSITE}</li>
-        <li>{'Set <b>%s</b> to <em>%s</em>'|translate:'Application Type':'Web Application'}</li>
-        <li>{'Set <b>%s</b> to <em>%s</em>'|translate:'Default Scope':'r_basicprofile & r_emailaddress'}</li>
+        <li>{'Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>'|translate:'<b>Website URL</b>':$WEBSITE}</li>
+        <li>{'Set <b>%1s</b> to <em>%2s</em>'|translate:'Default Scope':'r_basicprofile & r_emailaddress'}</li>
+        <li>{'Enter <em>%1s</em> for <b>%2s</b>'|translate:$callback_url:'OAuth 2.0 Redirect URLs'}</li>
+      
+      {elseif $p=='Tumblr'}
+        <li>{'Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>'|translate:'<b>Application website</b>':$WEBSITE}</li>
+        <li>{'Enter <em>%1s</em> for <b>%2s</b>'|translate:$callback_url:'Default callback URL'}</li>
+      
+      {elseif $p=='Twitter'}
+        <li>{'Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>'|translate:'<b>Website</b>':$WEBSITE}</li>
+        <li>{'Enter <em>%1s</em> for <b>%2s</b>'|translate:$callback_url:'Callback URL'}</li>
+      
+      {elseif $p=='Live'}
+        <li>{'Go to <b>API Parameters</b> and set <em>%s</em> for <b>Redirect URL</b>'|translate:$WEBSITE}
+      
       {elseif $p=='Yahoo'}
-        <li>{'Set <b>%s</b> to <em>%s</em>'|translate:'Kind of Application':'Web-based'}</li>
-        <li>{'Set <b>%s</b> to <em>%s</em>'|translate:'Access Scopes':'This app requires access to private user data'}</li>
-        <li>{'Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>'|translate:($OAUTH_CALLBACK|cat:$p)}</li>
-        <li>{'Select these APIs: <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> <em>Read Public</em>'|translate}</li>
-      {elseif $p=='Twitter'}
-        <li>{'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'|translate:'<b>Website</b>':$WEBSITE}</li>
-      {elseif $p=='Tumblr'}
-        <li>{'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'|translate:'<b>Application Website</b>':$WEBSITE}</li>
-      {elseif $p=='Instagram'}
-        <li>{'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'|translate:'<b>Website</b>':$WEBSITE}</li>
-      {elseif $p=='Google'}
-        <li>{'Set <b>%s</b> to <em>%s</em>'|translate:'Application Type':'Web Application'}</li>
-        <li>{'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'|translate:'<b>Authorized Javascript origins </b>':$SERVERNAME}</li>
+        <li>{'Set <b>%1s</b> to <em>%2s</em>'|translate:'Kind of Application':'Web-based'}</li>
+        <li>{'Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>'|translate:'<b>Home Page URL</b>':$WEBSITE}</li>
+        <li>{'Set <b>%1s</b> to <em>%2s</em>'|translate:'Access Scopes':'This app requires access to private user data'}</li>
+        <li>{'Enter <em>%1s</em> for <b>%2s</b>'|translate:$callback_url:'Callback Domain'}</li>
+        <li>{'Select these APIs: <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> as <em>Read Public</em>'|translate}</li>
+      
       {elseif $p=='px500'}
+        <li>{'Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>'|translate:'<b>Application URL</b>':$WEBSITE}</li>
+        <li>{'Enter <em>%1s</em> for <b>%2s</b>'|translate:$callback_url:'Callback URL'}</li>
         <li>{'Once the application is created, click <b>See application details</b>'|translate}</li>
+      
       {/if}
       
Index: /extensions/oAuth/language/en_UK/help.lang.php
===================================================================
--- /extensions/oAuth/language/en_UK/help.lang.php	(revision 28862)
+++ /extensions/oAuth/language/en_UK/help.lang.php	(revision 28863)
@@ -3,12 +3,17 @@
 $lang['Based on OpenID'] = 'Based on OpenID';
 $lang['Go to <a href="%s" target="_blank">%s</a> and create a new application'] = 'Go to <a href="%s" target="_blank">%s</a> and create a new application';
-$lang['On the <b>APIs & auth -> Credentials</b> tab, <b>Create new client ID</b>'] = 'On the <b>APIs & auth -> Credentials</b> tab, <b>Create new client ID</b>';
 $lang['Fill out any required fields such as the application name and description'] = 'Fill out any required fields such as the application name and description';
-$lang['Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>'] = 'Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>';
-$lang['Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'] = 'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>';
-$lang['Set <b>%s</b> to <em>%s</em>'] = 'Set <b>%s</b> to <em>%s</em>';
 $lang['Once you have registered, copy and past the created application credentials into this setup page'] = 'Once you have registered, copy and past the created application credentials into this setup page';
 $lang['No registration required'] = 'No registration required';
-$lang['Select these APIs: <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> <em>Read Public</em>'] = 'Select these APIs: <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> <em>Read Public</em>';
-$lang['Go to <b>Settings->Advanced</b> and activate <em>Client OAuth Login</em>'] = 'Go to <b>Settings->Advanced</b> and activate <em>Client OAuth Login</em>';
 $lang['Once the application is created, click <b>See application details</b>'] = 'Once the application is created, click <b>See application details</b>';
+$lang['Click on <b>Add Platform</b>, choose <b>Website</b> and set the <b>Site URL</b> to <em>%s</em>'] = 'Click on <b>Add Platform</b>, choose <b>Website</b> and set the <b>Site URL</b> to <em>%s</em>';
+$lang['Enter <em>%1s</em> for <b>%2s</b>'] = 'Enter <em>%1s</em> for <b>%2s</b>';
+$lang['Go to <b>API Parameters</b> and set <em>%s</em> for <b>Redirect URL</b>'] = 'Go to <b>API Parameters</b> and set <em>%s</em> for <b>Redirect URL</b>';
+$lang['Go to <b>Settings -> Advanced</b> and set <b>Valid OAuth redirect URIs</b> to <em>%s</em>'] = 'Go to <b>Settings -> Advanced</b> and set <b>Valid OAuth redirect URIs</b> to <em>%s</em>';
+$lang['Go to <b>Settings -> Basic</b> and fill the contact email'] = 'Go to <b>Settings -> Basic</b> and fill the contact email';
+$lang['Go to <b>Status & Review</b> and set the app public by clicking the big button on top-right'] = 'Go to <b>Status & Review</b> and set the app public by clicking the big button on top-right';
+$lang['Once the process is finished, click on the newly created project'] = 'Once the process is finished, click on the newly created project';
+$lang['On the <b>APIS & AUTH -> Credentials</b> tab, and click <b>Create new client ID</b>'] = 'On the <b>APIS & AUTH -> Credentials</b> tab, and click <b>Create new client ID</b>';
+$lang['Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>'] = 'Put your website domain in the <b>%1s</b> field. It must match with the current hostname: <em>%2s</em>';
+$lang['Select these APIs: <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> as <em>Read Public</em>'] = 'Select these APIs: <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> as <em>Read Public</em>';
+$lang['Set <b>%1s</b> to <em>%2s</em>'] = 'Set <b>%1s</b> to <em>%2s</em>';
Index: /extensions/oAuth/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/oAuth/language/en_UK/plugin.lang.php	(revision 28862)
+++ /extensions/oAuth/language/en_UK/plugin.lang.php	(revision 28863)
@@ -31,4 +31,5 @@
 $lang['Allow users to merge existing account with new <i>Social Connect</i> identity'] = 'Allow users to merge existing account with new <i>Social Connect</i> identity';
 $lang['For security reason, the main webmaster account can\'t be merged with a remote account, but you can use another webmaster account.'] = 'For security reason, the main webmaster account can\'t be merged with a remote account, but you can use another webmaster account.';
-
-?>
+$lang['Unable to perform login'] = 'Unable to perform login';
+$lang['User not found'] = 'User not found';
+$lang['Close'] = 'Close';
Index: /extensions/oAuth/template/identification_common.tpl
===================================================================
--- /extensions/oAuth/template/identification_common.tpl	(revision 28862)
+++ /extensions/oAuth/template/identification_common.tpl	(revision 28863)
@@ -136,5 +136,6 @@
       },
       error: function() {
-        alert('Unknown error');
+        alert('{'Unable to perform login'|translate|escape:'javascript'}');
+        navigator.id.logout();
       }
     });