Index: /extensions/GuestBook/admin/config.php
===================================================================
--- /extensions/GuestBook/admin/config.php	(revision 28882)
+++ /extensions/GuestBook/admin/config.php	(revision 28883)
@@ -5,11 +5,12 @@
 {
   $conf['guestbook'] = array(
-    'comments_validation' => isset($_POST['comments_validation']),
+    'comments_validation' =>    isset($_POST['comments_validation']),
     'email_admin_on_comment' => isset($_POST['email_admin_on_comment']),
     'email_admin_on_comment_validation' => isset($_POST['email_admin_on_comment_validation']),
-    'nb_comment_page' => $_POST['nb_comment_page'],
-    'activate_rating' => isset($_POST['activate_rating']),
-    'guest_can_view' => isset($_POST['guest_can_view']),
-    'guest_can_add' => isset($_POST['guest_can_add']),
+    'nb_comment_page' =>        $_POST['nb_comment_page'],
+    'activate_rating' =>        isset($_POST['activate_rating']),
+    'guest_can_view' =>         isset($_POST['guest_can_view']),
+    'guest_can_add' =>          isset($_POST['guest_can_add']),
+    'menu_link' =>              isset($_POST['menu_link']),
     );
     
@@ -18,5 +19,5 @@
 }
 
-$template->assign($conf['guestbook']);
+$template->assign('gb', $conf['guestbook']);
 
 $template->set_filename('guestbook', realpath(GUESTBOOK_PATH . 'admin/template/config.tpl'));
Index: /extensions/GuestBook/admin/template/config.tpl
===================================================================
--- /extensions/GuestBook/admin/template/config.tpl	(revision 28882)
+++ /extensions/GuestBook/admin/template/config.tpl	(revision 28883)
@@ -24,6 +24,13 @@
     <li>
       <label>
+        <input type="checkbox" name="menu_link" value="1" {if $gb.menu_link}checked="checked"{/if}>
+        {'Add link in menu'|translate}
+      </label>
+    </li>
+      
+    <li>
+      <label>
         <b>{'Number of comments per page'|translate}</b>
-        <input type="text" size="3" maxlength="4" name="nb_comment_page" id="nb_comment_page" value="{$nb_comment_page}">
+        <input type="text" size="3" maxlength="4" name="nb_comment_page" value="{$gb.nb_comment_page}">
       </label>
     </li>
@@ -31,5 +38,5 @@
     <li>
       <label>
-        <input type="checkbox" name="activate_rating" {if ($activate_rating)}checked="checked"{/if}>
+        <input type="checkbox" name="activate_rating" {if ($gb.activate_rating)}checked="checked"{/if}>
         <b>{'Activate rating'|translate}</b>
       </label>
@@ -38,5 +45,5 @@
     <li>
       <label>
-        <input type="checkbox" name="comments_validation" {if ($comments_validation)}checked="checked"{/if}>
+        <input type="checkbox" name="comments_validation" {if ($gb.comments_validation)}checked="checked"{/if}>
         <b>{'Validation'|translate}</b>
       </label>
@@ -47,9 +54,9 @@
 
       <label>
-        <input type="checkbox" name="email_admin_on_comment" {if ($email_admin_on_comment)}checked="checked"{/if}> {'added'|translate}
+        <input type="checkbox" name="email_admin_on_comment" {if ($gb.email_admin_on_comment)}checked="checked"{/if}> {'added'|translate}
       </label>
 
       <label id="email_admin_on_comment_validation">
-        <input type="checkbox" name="email_admin_on_comment_validation" {if ($email_admin_on_comment_validation)}checked="checked"{/if}> {'pending validation'|translate}
+        <input type="checkbox" name="email_admin_on_comment_validation" {if ($gb.email_admin_on_comment_validation)}checked="checked"{/if}> {'pending validation'|translate}
       </label>
     </li>
@@ -59,9 +66,9 @@
 
       <label>
-        <input type="checkbox" name="guest_can_view" {if ($guest_can_view)}checked="checked"{/if}> {'view comments'|translate}
+        <input type="checkbox" name="guest_can_view" {if ($gb.guest_can_view)}checked="checked"{/if}> {'view comments'|translate}
       </label>
 
       <label id="guest_can_add">
-        <input type="checkbox" name="guest_can_add" {if ($guest_can_add)}checked="checked"{/if}> {'add comment'|translate}
+        <input type="checkbox" name="guest_can_add" {if ($gb.guest_can_add)}checked="checked"{/if}> {'add comment'|translate}
       </label>
     </li>
Index: /extensions/GuestBook/include/events.inc.php
===================================================================
--- /extensions/GuestBook/include/events.inc.php	(revision 28882)
+++ /extensions/GuestBook/include/events.inc.php	(revision 28883)
@@ -22,7 +22,7 @@
   $menu = &$menu_ref_arr[0];
   
-  if ( ($block = $menu->get_block('mbMenu')) != null )
+  if (($block = $menu->get_block('mbMenu')) != null)
   {
-    $block->data[] = array(
+    $block->data['guestbook'] = array(
       'URL' => GUESTBOOK_URL,
       'TITLE' => l10n('GuestBook'),
Index: /extensions/GuestBook/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/ar_SA/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/ar_SA/plugin.lang.php	(revision 28883)
@@ -36,3 +36,3 @@
 $lang['add comment'] = 'إضافة تعليق';
 $lang['view comments'] = 'مشاهدة التعليقات';
-?>
+$lang['Add link in menu'] = 'اضف رابط في القائمة';
Index: /extensions/GuestBook/language/bg_BG/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/bg_BG/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/bg_BG/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Оценка';
 $lang['Send'] = 'Изпращане';
+$lang['Add link in menu'] = 'Добави линк в менюто';
Index: /extensions/GuestBook/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/ca_ES/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/ca_ES/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Valora';
 $lang['Send'] = 'Envia';
+$lang['Add link in menu'] = 'Afegeix un enllaç al menú';
Index: /extensions/GuestBook/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/cs_CZ/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/cs_CZ/plugin.lang.php	(revision 28883)
@@ -36,3 +36,3 @@
 $lang['add comment'] = 'přidat komentář';
 $lang['Guests (not registered) permissions :'] = 'Oprávnění hostů (neregistrovaných uživatelů):';
-?>
+$lang['Add link in menu'] = 'Vložit odkaz do menu';
Index: /extensions/GuestBook/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/da_DK/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/da_DK/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Bedøm';
 $lang['Send'] = 'Send';
+$lang['Add link in menu'] = 'Tilføj link i menu';
Index: /extensions/GuestBook/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/de_DE/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/de_DE/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Rate';
 $lang['Send'] = 'Senden';
+$lang['Add link in menu'] = 'Füge einen Link im Menü hinzu';
Index: /extensions/GuestBook/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/el_GR/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/el_GR/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Send'] = 'Αποστολή';
 $lang['Rate'] = 'Βαθμολόγιση';
+$lang['Add link in menu'] = 'Προσθέστε ένα σύνδεσμο στο μενού';
Index: /extensions/GuestBook/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/en_UK/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/en_UK/plugin.lang.php	(revision 28883)
@@ -18,4 +18,3 @@
 $lang['Send'] = 'Send';
 $lang['Rate'] = 'Rate';
-
-?>
+$lang['Add link in menu'] = 'Add link in menu';
Index: /extensions/GuestBook/language/eo_EO/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/eo_EO/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/eo_EO/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Takso';
 $lang['Send'] = 'Sendi';
+$lang['Add link in menu'] = 'Aldoni ligilon en menuon';
Index: /extensions/GuestBook/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/es_ES/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/es_ES/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Puntuar';
 $lang['Send'] = 'Enviar';
+$lang['Add link in menu'] = 'Añadir el lazo en el menú';
Index: /extensions/GuestBook/language/et_EE/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/et_EE/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/et_EE/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Send'] = 'Saada';
 $lang['Rate'] = 'Hinda';
+$lang['Add link in menu'] = 'Lisa menüüsse link';
Index: /extensions/GuestBook/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/fa_IR/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/fa_IR/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'رتبه';
 $lang['Send'] = 'فرستادن';
+$lang['Add link in menu'] = 'افزودن یک پیوند در منو';
Index: /extensions/GuestBook/language/fi_FI/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/fi_FI/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/fi_FI/plugin.lang.php	(revision 28883)
@@ -36,3 +36,3 @@
 $lang['add comment'] = 'kommentoi';
 $lang['view comments'] = 'näytä kommentit';
-?>
+$lang['Add link in menu'] = 'Lisää linkki valikkoon';
Index: /extensions/GuestBook/language/fr_CA/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/fr_CA/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/fr_CA/plugin.lang.php	(revision 28883)
@@ -13,7 +13,6 @@
 $lang['Activate rating'] = 'Activer la notation';
 $lang['%s says on %s :'] = '%s a dit le %s :';
-
 $lang['Guests (not registered) permissions :'] = 'Droits des visiteurs (non enregistrés) :';
 $lang['add comment'] = 'ajouter un commentaire';
 $lang['view comments'] = 'voir les commentaires';
-?>
+$lang['Add link in menu'] = 'Ajouter le lien dans le menu';
Index: /extensions/GuestBook/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/fr_FR/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/fr_FR/plugin.lang.php	(revision 28883)
@@ -18,4 +18,3 @@
 $lang['Send'] = 'Envoyer';
 $lang['Rate'] = 'Note';
-
-?>
+$lang['Add link in menu'] = 'Ajouter le lien dans le menu';
Index: /extensions/GuestBook/language/gl_ES/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/gl_ES/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/gl_ES/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['add comment'] = 'engadir comentario';
 $lang['view comments'] = 'visualizar comentarios';
+$lang['Add link in menu'] = 'Engadir ligazón ó menú';
Index: /extensions/GuestBook/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/hu_HU/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/hu_HU/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Értékelés';
 $lang['Send'] = 'Küldés';
+$lang['Add link in menu'] = 'Kapcsolat elem hozzáadása a menühöz';
Index: /extensions/GuestBook/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/it_IT/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/it_IT/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Voto';
 $lang['Send'] = 'Invia';
+$lang['Add link in menu'] = 'Aggiungere un link nel menu';
Index: /extensions/GuestBook/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/lv_LV/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/lv_LV/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'likme';
 $lang['Send'] = 'Sūtīt';
+$lang['Add link in menu'] = 'Pievienot saiti izvēlnē';
Index: /extensions/GuestBook/language/nb_NO/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/nb_NO/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/nb_NO/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Vurder';
 $lang['Send'] = 'Send';
+$lang['Add link in menu'] = 'Legg til link i menyen';
Index: /extensions/GuestBook/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/nl_NL/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/nl_NL/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Waarderen';
 $lang['Send'] = 'Verstuur';
+$lang['Add link in menu'] = 'Voeg link aan menu toe';
Index: /extensions/GuestBook/language/nn_NO/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/nn_NO/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/nn_NO/plugin.lang.php	(revision 28883)
@@ -36,3 +36,3 @@
 $lang['add comment'] = 'legg til kommentar';
 $lang['view comments'] = 'vis kommentar';
-?>
+$lang['Add link in menu'] = 'Legg lenke til meny';
Index: /extensions/GuestBook/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/pl_PL/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/pl_PL/plugin.lang.php	(revision 28883)
@@ -36,3 +36,3 @@
 $lang['add comment'] = 'dodawanie komentarzy';
 $lang['view comments'] = 'oglądanie komentarzy';
-?>
+$lang['Add link in menu'] = 'Dodaj link do menu';
Index: /extensions/GuestBook/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/pt_BR/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/pt_BR/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'avaliar';
 $lang['Send'] = 'enviar';
+$lang['Add link in menu'] = 'Adicionar link ao menu';
Index: /extensions/GuestBook/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/pt_PT/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/pt_PT/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Câmbio';
 $lang['Send'] = 'Enviar';
+$lang['Add link in menu'] = 'Adicionar link no menú';
Index: /extensions/GuestBook/language/ro_RO/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/ro_RO/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/ro_RO/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Evaluează';
 $lang['Send'] = 'Trimite';
+$lang['Add link in menu'] = 'Adaugă legătură în meniu';
Index: /extensions/GuestBook/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/ru_RU/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/ru_RU/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Rate';
 $lang['Send'] = 'Отправить';
+$lang['Add link in menu'] = 'Добавить ссылку в меню';
Index: /extensions/GuestBook/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/sk_SK/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/sk_SK/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Send'] = 'Poslať';
 $lang['Rate'] = 'Hodnotenie';
+$lang['Add link in menu'] = 'Pridať link do menu';
Index: /extensions/GuestBook/language/sl_SI/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/sl_SI/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/sl_SI/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Oceni';
 $lang['Send'] = 'Pošlji';
+$lang['Add link in menu'] = 'Dodaj povezavo v meni';
Index: /extensions/GuestBook/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/sv_SE/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/sv_SE/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Betyg';
 $lang['Send'] = 'Skicka';
+$lang['Add link in menu'] = 'Inkludera länk i menyn';
Index: /extensions/GuestBook/language/th_TH/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/th_TH/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/th_TH/plugin.lang.php	(revision 28883)
@@ -33,3 +33,3 @@
 $lang['Please enter a message'] = 'กรุณากรอกข้อความก่อนทำการส่ง';
 $lang['Please enter your e-mail'] = 'กรุณากรอกอีเมลของคุณ';
-?>
+$lang['Add link in menu'] = 'เพิ่มลิงค์ในเมนู';
Index: /extensions/GuestBook/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/tr_TR/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/tr_TR/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = 'Değerlendir';
 $lang['Send'] = 'Gönder';
+$lang['Add link in menu'] = 'Menüye bağlantı ekle';
Index: /extensions/GuestBook/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/uk_UA/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/uk_UA/plugin.lang.php	(revision 28883)
@@ -36,3 +36,3 @@
 $lang['add comment'] = 'додайте коментар';
 $lang['view comments'] = 'перегляньте коментарі';
-?>
+$lang['Add link in menu'] = 'Додати посилання в меню';
Index: /extensions/GuestBook/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/vi_VN/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/vi_VN/plugin.lang.php	(revision 28883)
@@ -36,3 +36,3 @@
 $lang['add comment'] = 'thêm bình luận';
 $lang['view comments'] = 'xem bình luận';
-?>
+$lang['Add link in menu'] = 'Thêm liên kết vào trình đơn';
Index: /extensions/GuestBook/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/zh_CN/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/zh_CN/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = '评分';
 $lang['Send'] = '发送';
+$lang['Add link in menu'] = '在菜单中添加链接';
Index: /extensions/GuestBook/language/zh_HK/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/zh_HK/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/zh_HK/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = '比率';
 $lang['Send'] = '發送';
+$lang['Add link in menu'] = '在功能表添加連結';
Index: /extensions/GuestBook/language/zh_TW/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/zh_TW/plugin.lang.php	(revision 28882)
+++ /extensions/GuestBook/language/zh_TW/plugin.lang.php	(revision 28883)
@@ -38,2 +38,3 @@
 $lang['Rate'] = '評級';
 $lang['Send'] = '發送';
+$lang['Add link in menu'] = '選單中新增連結';
Index: /extensions/GuestBook/main.inc.php
===================================================================
--- /extensions/GuestBook/main.inc.php	(revision 28882)
+++ /extensions/GuestBook/main.inc.php	(revision 28883)
@@ -12,5 +12,5 @@
 
 // TODO akismet
-global $prefixeTable;
+global $conf, $prefixeTable;
 
 define('GUESTBOOK_ID',      basename(dirname(__FILE__)));
@@ -19,4 +19,6 @@
 define('GUESTBOOK_ADMIN',   get_root_url().'admin.php?page=plugin-' . GUESTBOOK_ID);
 define('GUESTBOOK_URL',     get_absolute_root_url() . make_index_url(array('section' => 'guestbook')));
+
+$conf['guestbook'] = safe_unserialize($conf['guestbook']);
 
 include_once(GUESTBOOK_PATH . 'include/events.inc.php');
@@ -29,16 +31,18 @@
   add_event_handler('get_admin_plugin_menu_links', 'gb_admin_menu');
 }
+else
+{
+  add_event_handler('loc_end_section_init', 'gb_section_init');
+  add_event_handler('loc_end_index', 'gb_index');
+}
 
-add_event_handler('blockmanager_apply', 'gb_menubar_apply', EVENT_HANDLER_PRIORITY_NEUTRAL+10);
-
-add_event_handler('loc_end_section_init', 'gb_section_init');
-add_event_handler('loc_end_index', 'gb_index');
+if ($conf['guestbook']['menu_link'])
+{
+  add_event_handler('blockmanager_apply', 'gb_menubar_apply', EVENT_HANDLER_PRIORITY_NEUTRAL+10);
+}
 
 
 function guestbook_init()
 {
-  global $conf;
-  $conf['guestbook'] = safe_unserialize($conf['guestbook']);
-  
   load_language('plugin.lang', GUESTBOOK_PATH);
 }
Index: /extensions/GuestBook/maintain.class.php
===================================================================
--- /extensions/GuestBook/maintain.class.php	(revision 28882)
+++ /extensions/GuestBook/maintain.class.php	(revision 28883)
@@ -14,4 +14,5 @@
     'guest_can_view' => true,
     'guest_can_add' => true,
+    'menu_link' => true,
     );
   
@@ -40,4 +41,8 @@
         $old_conf['guest_can_view'] = true;
         $old_conf['guest_can_add'] = true;
+      }
+      if (!isset($old_conf['menu_link']))
+      {
+        $old_conf['menu_link'] = true;
       }
       