Index: extensions/LLGBO2/admin.php
===================================================================
--- extensions/LLGBO2/admin.php	(revision 29004)
+++ extensions/LLGBO2/admin.php	(revision 29005)
@@ -32,10 +32,10 @@
 // Setup plugin Language
 load_language('plugin.lang', LLGBO_PATH);
-include_once(LLGBO_PATH.'defaultvalues.php');
- 
+include(LLGBO_PATH.'defaultvalues.php');
+
 /* ****************************************************** */
 /* Plugin template initialisation for admin panel display */
 /* ****************************************************** */
-global $template,$prefixeTable,$CF_LLGBO,$lang; 
+global $template,$prefixeTable,$conf,$lang; 
 $template->assign( 'LLGBO_VERSION' ,LLGBO_VERSION);
 $template->assign('LLGBO_PATH',LLGBO_PATH);
@@ -52,8 +52,8 @@
 $page['tab']  =  (isset($_GET['tab'])) ?   $_GET['tab'] : 'settings';
  if ((empty($_POST['submit'])) or  ($page['tab']  != 'settings'))
-		{ 	$disptabframe  =  $CF_LLGBO['frame'];
-			$disptabheader =  $CF_LLGBO['manageheader'];
-			$disptabtoolt1 =  $CF_LLGBO['tooltipdisp'];
-			$disptabtoolt2 =  $CF_LLGBO['exifunderbt'];
+		{ 	$disptabframe  =  $conf['LLGBO2']['frame'];
+			$disptabheader =  $conf['LLGBO2']['manageheader'];
+			$disptabtoolt1 =  $conf['LLGBO2']['tooltipdisp'];
+			$disptabtoolt2 =  $conf['LLGBO2']['exifunderbt'];
 		}
 			else
Index: extensions/LLGBO2/defaultvalues.php
===================================================================
--- extensions/LLGBO2/defaultvalues.php	(revision 29004)
+++ extensions/LLGBO2/defaultvalues.php	(revision 29005)
@@ -3,5 +3,5 @@
 // -------- LLGBO valeurs par défaut        ----
 // ---------------------------------------------
-$default_Main = array(
+$default_main = array(
 	'version' => 1,
     'frame' => False,
Index: extensions/LLGBO2/include/manage_header.php
===================================================================
--- extensions/LLGBO2/include/manage_header.php	(revision 29004)
+++ extensions/LLGBO2/include/manage_header.php	(revision 29005)
@@ -4,5 +4,5 @@
 //----------------------------------------------------
 if (!isset($page_name)) {$page_name ='index';}
-if ($CF_LLGBO['manageheader']) 
+if ($conf['LLGBO2']['manageheader']) 
 	{$no_header = false;
 	$input= $_SERVER['PHP_SELF'];
@@ -13,5 +13,5 @@
 	 
 	if  ( strpos( $input,'index') == true )
-	{	foreach($CF_LLGBO['HD-dispheader'] as $cle  => $valeur) 
+	{	foreach($conf['LLGBO2']['HD-dispheader'] as $cle  => $valeur) 
 			{ if ($valeur  == false) {
 					if($cle == 'home' ) {$cle = 'index.php';} 
@@ -23,5 +23,5 @@
 	 else 
 	{	 
-		 if (isset($CF_LLGBO['HD-dispheader'][$page_name]) and ($CF_LLGBO['HD-dispheader'][$page_name] == false) ) {$no_header = true;} 
+		 if (isset($conf['LLGBO2']['HD-dispheader'][$page_name]) and ($conf['LLGBO2']['HD-dispheader'][$page_name] == false) ) {$no_header = true;} 
 	}  
 	 if ($no_header == true)
Index: extensions/LLGBO2/include/manage_picture_content.php
===================================================================
--- extensions/LLGBO2/include/manage_picture_content.php	(revision 29004)
+++ extensions/LLGBO2/include/manage_picture_content.php	(revision 29005)
@@ -6,13 +6,13 @@
 /*      LLGBO Manage Picture_content   			   */
 //----------------------------------------------------
-	global $template,$conf,$CF_LLGBO;	
+	global $template,$conf;	
 	 
 	$template->assign('LLGBO_PATH',LLGBO_PATH);
 	include_once(LLGBO_PATH.'/css/sweettitles.css.php');	
-	$CF_LLGBO['rendercontent']  = false;
+	$conf['LLGBO2']['rendercontent']  = false;
 	//-----------------------------------------------------------------
 	// -----------  add CSS tooltip in footer --------------------
 	//-----------------------------------------------------------------
-	 If (($CF_LLGBO['tooltipdisp']  )  or  ($CF_LLGBO['exifunderbt']))    
+	 If (($conf['LLGBO2']['tooltipdisp']  )  or  ($conf['LLGBO2']['exifunderbt']))    
 		{	$template->append('footer_elements',$sweetcss);
 			$template->append('llgbo', array( 'TOOLTIP' => 'ok' ), true);}
@@ -23,5 +23,5 @@
 	 if (!in_array($ext, $conf['picture_ext'])) 
 				{return $content;}
-		$CF_LLGBO['rendercontent'] = true;	// $content ok for update
+		$conf['LLGBO2']['rendercontent'] = true;	// $content ok for update
 		
 	//-----------------------------------------------------------------
@@ -32,7 +32,7 @@
 		 $autosize_in_place = $template->get_template_vars('is_automatic_size');
 		 $autosize_selected = $template->get_template_vars('automatic_size');
-		 unset ($CF_LLGBO['PictSizeWH'] );
+		 unset ($conf['LLGBO2']['PictSizeWH'] );
 			if ((isset($autosize_in_place))  and  (isset($autosize_selected)) )
-		        	{$CF_LLGBO['PictSizeWH'] =  $element_info['derivatives'][$autosize_selected]->get_size();
+		        	{$conf['LLGBO2']['PictSizeWH'] =  $element_info['derivatives'][$autosize_selected]->get_size();
 					  }
 		else
@@ -44,5 +44,5 @@
 //----------------------------------------------------
 	 
-	If ($CF_LLGBO['tooltipdisp'] )//   tooltip  
+	If ($conf['LLGBO2']['tooltipdisp'] )//   tooltip  
 	{  	$prev = $template->get_template_vars('previous');
 		$next  = $template->get_template_vars('next');
@@ -53,5 +53,5 @@
 	}	
 	
-	If (($CF_LLGBO['frame'])   ) //Frame
+	If (($conf['LLGBO2']['frame'])   ) //Frame
 	{ 	$template->set_prefilter('default_content', 'LLGBO_prefilter_Content_Frame');
 	//----------------------------------------------------	 
@@ -68,5 +68,5 @@
 			   {$themestyle = 'default';}
 			   $frame_end = '';
-			 foreach ($CF_LLGBO['FR-sizes'] as  $value) 
+			 foreach ($conf['LLGBO2']['FR-sizes'] as  $value) 
 				{if ( $value > 0)	// boder value > 0	
 					{	$frame_end = $frame_end.'</div>';}
Index: extensions/LLGBO2/main.inc.php
===================================================================
--- extensions/LLGBO2/main.inc.php	(revision 29004)
+++ extensions/LLGBO2/main.inc.php	(revision 29005)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Look_like_gbo2 
-Version: 2.7.A
+Version:  2.7.A
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=251
 Author: GBo 
@@ -50,13 +50,9 @@
 function llgbo_init()
 {
-	global $conf,$CF_LLGBO;
-	load_language('plugin.lang', LLGBO_PATH);
-
-	$CF_LLGBO2settings =  unserialize($conf['LLGBO2settings']);
-	$CF_LLGBO2tooltip = unserialize($conf['LLGBO2tooltip']);
-	$CF_LLGBO2frame = unserialize($conf['LLGBO2frame']);
-	$CF_LLGBO2header = unserialize($conf['LLGBO2header']);
-	$CF_LLGBO =array_merge((array)$CF_LLGBO2settings, (array)$CF_LLGBO2tooltip,(array) $CF_LLGBO2frame,(array) $CF_LLGBO2header);
-}
+	global $conf;
+	Load_language('plugin.lang', LLGBO_PATH);
+			
+	$conf['LLGBO2'] =  safe_unserialize($conf['LLGBO2_Settings']);
+} 
 
 
@@ -66,9 +62,9 @@
 function llgbo_BeginPicture()
 /******************************************************************/
-{global $CF_LLGBO,$template;
-	If ($CF_LLGBO['exifunderbt'])  // exif under bt
+{global $conf,$template;
+	If ($conf['LLGBO2']['exifunderbt'])  // exif under bt
 		{$_GET['metadata'] = 'O';}
 		
-	If ($CF_LLGBO['alwaysdisplayexif'])  //always display metadata
+	If ($conf['LLGBO2']['alwaysdisplayexif'])  //always display metadata
 		{if ( pwg_get_session_var('show_metadata') == null )
 			{  pwg_set_session_var('show_metadata', 1 );	 }
@@ -81,6 +77,6 @@
 function llgbo_beginheader()
 /******************************************************************/
-{ global $page,$CF_LLGBO;
-	If ($CF_LLGBO['exifunderbt'] ) // reset nofollow, noindex
+{ global $page,$conf;
+	If ($conf['LLGBO2']['exifunderbt'] ) // reset nofollow, noindex
 	{ unset ($page['meta_robots']);}
 }
@@ -90,5 +86,5 @@
 function llgbo_endHeader()
 /******************************************************************/
-{global $template,$conf,$CF_LLGBO;
+{global $template,$conf;
 	$page_name = script_basename();
 	include_once(LLGBO_PATH.'include/manage_header.php');
@@ -101,11 +97,11 @@
 function  llgbo_EndPicture()
 /******************************************************************/
-{ global $template,$CF_LLGBO,$conf,$page,$lang;
+{ global $template,$conf,$page,$lang;
 	//----------------------------------------------------	 
 	/*       HTML End  frame   on Picture.tpl       */
 	//----------------------------------------------------	
 			
-	If (($CF_LLGBO['frame'])    //Frame
-		 and ($CF_LLGBO['rendercontent'])	)// $content ok for update
+	If (($conf['LLGBO2']['frame'])    //Frame
+		 and ($conf['LLGBO2']['rendercontent'])	)// $content ok for update
 		{ 	$target = 'picture';
 			if ($page['slideshow'] and $conf['light_slideshow'])
@@ -114,15 +110,15 @@
 		 //$PictSizeWH is not already defined by auto_size 	
 		  $current= $template->get_template_vars('current'); 
-		  if (empty($CF_LLGBO['PictSizeWH']))
-				{$CF_LLGBO['PictSizeWH'] =  $current['selected_derivative']->get_size();}
-			$PictSizeWH = $CF_LLGBO['PictSizeWH'];		
+		  if (empty($conf['LLGBO2']['PictSizeWH']))
+				{$conf['LLGBO2']['PictSizeWH'] =  $current['selected_derivative']->get_size();}
+			$PictSizeWH = $conf['LLGBO2']['PictSizeWH'];		
 			$frame_width  = $PictSizeWH[0];
 			$frame_height = $PictSizeWH[1];
 			$frame_begin ='';
-			 foreach ($CF_LLGBO['FR-sizes'] as $cle  => $value) 
+			 foreach ($conf['LLGBO2']['FR-sizes'] as $cle  => $value) 
 				{ if ( $value > 0)	// boder value > 0	
 					 {	$frame_width = $frame_width + ( 2 * $value);				 
 						$frame_height = $frame_height + ( 2* $value); 
-						$frame_begin = '<div class="llgboFR" style="border:'.$value.'px solid '.$CF_LLGBO['FR-colors'][$cle].'">'."\n".$frame_begin;
+						$frame_begin = '<div class="llgboFR" style="border:'.$value.'px solid '.$conf['LLGBO2']['FR-colors'][$cle].'">'."\n".$frame_begin;
 						} 
 				}
@@ -133,7 +129,7 @@
 				 'FRAME_BEGIN' => $frame_begin), true); 
 				 
-		If ($CF_LLGBO['titleframe'] )  
+		If ($conf['LLGBO2']['titleframe'] )  
 			 {  $template->append('llgbo', array(
-					 'TITLE_FRAME_COLOR' => $CF_LLGBO['FR-titlecolor'],
+					 'TITLE_FRAME_COLOR' => $conf['LLGBO2']['FR-titlecolor'],
 					 'TITLE_FRAME' => $current['name'] ), true);
 				$template->assign('SHOW_PICTURE_NAME_ON_TITLE' , false); 
@@ -151,5 +147,5 @@
 			$u_metadata = $template->get_template_vars('U_METADATA');
 			$swt = "";
-			 If ($CF_LLGBO['exifunderbt'])  // exif under bt
+			 If ($conf['LLGBO2']['exifunderbt'])  // exif under bt
 				{  $metadata = $template->get_template_vars('metadata');
 				if (is_array($metadata)) 
@@ -251,6 +247,6 @@
 	add_event_handler('loc_begin_page_header', 'llgbo_beginheader');
 	add_event_handler('loc_end_page_header', 'llgbo_endHeader');
-	ad_event_handler( 'loc_begin_picture','llgbo_BeginPicture');
-	add_event_handler( 'loc_end_picture', 'llgbo_EndPicture');
+	Add_event_handler( 'loc_begin_picture','llgbo_BeginPicture');
+	Add_event_handler( 'loc_end_picture', 'llgbo_EndPicture');
 	add_event_handler('render_element_content', 'llgbo_RenderContent',  EVENT_HANDLER_PRIORITY_NEUTRAL-1, 20  );
 }
Index: extensions/LLGBO2/maintain.class.php
===================================================================
--- extensions/LLGBO2/maintain.class.php	(revision 29004)
+++ extensions/LLGBO2/maintain.class.php	(revision 29005)
@@ -29,5 +29,5 @@
 class Look_like_gbo2_maintain extends PluginMaintain
 { 
-	private $default_Main;
+	private $default_main;
 	private $default_tooltip;
 	private $default_frame;
@@ -40,5 +40,5 @@
 include(PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/' .'defaultvalues.php');
      // variable declared in include       
-	 $this->default_Main = $default_Main;
+	 $this->default_main = $default_main;
 	 $this->default_tooltip = $default_tooltip; 
 	 $this->default_frame = $default_frame; 
@@ -55,5 +55,5 @@
 		global $conf; 
 // +-----------------------------------------------------------------------+	
-		if (empty($conf['LLGBO2settings']))
+		if (empty($conf['LLGBO2_Settings']))
 			{ 	if  (isset($conf['LLGBO'])) // compatibility 2.6 --> 2.7
 					{ $Oldvalues = explode("," , $conf['LLGBO']);			
@@ -62,18 +62,17 @@
 								{$Oldvalues[$cle]  = (boolean)true ;} 	else { $Oldvalues[$cle]  = (boolean)false;}
 						}
-						$this->default_Main['version']				=  1;
-						$this->default_Main['frame']				=  $Oldvalues[0];
-						$this->default_Main['tooltipdisp'] 			=  $Oldvalues[1];
-						$this->default_Main['exifunderbt'] 			=  $Oldvalues[2];
-						$this->default_Main['titleframe'] 			=  $Oldvalues[5];
-						$this->default_Main['manageheader'] 		=  $Oldvalues[6];
-						$this->default_Main['alwaysdisplayexif'] 	=  $Oldvalues[10];
+						$this->default_main['version']				=  1;
+						$this->default_main['frame']				=  $Oldvalues[0];
+						$this->default_main['tooltipdisp'] 			=  $Oldvalues[1];
+						$this->default_main['exifunderbt'] 			=  $Oldvalues[2];
+						$this->default_main['titleframe'] 			=  $Oldvalues[5];
+						$this->default_main['manageheader'] 		=  $Oldvalues[6];
+						$this->default_main['alwaysdisplayexif'] 	=  $Oldvalues[10];
 						conf_delete_param('LLGBO');  // old values before 2.7
 					}
-				conf_update_param('LLGBO2settings',serialize($this->default_Main), true);
-			}	 
+			
+		
 // +-----------------------------------------------------------------------+				
-		if (empty($conf['LLGBO2tooltip'])) 
-			{ 	if  (isset($conf['LLGBOTOOLTIP'])) // compatibility 2.6 --> 2.7
+			if  (isset($conf['LLGBOTOOLTIP'])) // compatibility 2.6 --> 2.7
 					{	 $Oldvalues = explode("," , $conf['LLGBOTOOLTIP']);
 
@@ -85,11 +84,10 @@
 						$this->default_tooltip['TT-textcolor']		= $Oldvalues[5];
 							
-							conf_delete_param('LLGBOTOOLTIP');  // old values before 2.7
+						conf_delete_param('LLGBOTOOLTIP');  // old values before 2.7
 					}
-				conf_update_param('LLGBO2tooltip',serialize($this->default_tooltip), true);
-			}
+			
 // +-----------------------------------------------------------------------+				
-		if (empty($conf['LLGBO2frame']))   	
-			{ if (isset($conf['LLGBOFRAME']))  // compatibility 2.6 --> 2.7
+	
+			if (isset($conf['LLGBOFRAME']))  // compatibility 2.6 --> 2.7
 				{	 $Oldvalues = explode("," , $conf['LLGBOFRAME']);
 				     $i=0;
@@ -106,9 +104,8 @@
 					conf_delete_param('LLGBOFRAME');  // old values before 2.7
 				} 
-				conf_update_param('LLGBO2frame', serialize($this->default_frame), true);
-			}
+		
 // +-----------------------------------------------------------------------+					
-		if (empty($conf['LLGBO2header']))  	
-			{ if (isset($conf['LLGBOHEADER']))  // compatibility 2.6 --> 2.7
+	
+			 if (isset($conf['LLGBOHEADER']))  // compatibility 2.6 --> 2.7
 				{ 	$Oldvalues = explode("," , $conf['LLGBOHEADER']);
 			 		$i = 0;
@@ -119,7 +116,9 @@
 					conf_delete_param('LLGBOHEADER');  // old values before 2.7
 				} 
-				conf_update_param('LLGBO2header',serialize($this->default_header), true);	
-			}
-
+		
+         $conf['LLGBO2'] =array_merge((array)$this->default_main, (array)$this->default_tooltip,(array) $this->default_frame,(array) $this->default_header);
+		 print_r($this->default_main);
+		 conf_update_param('LLGBO2_Settings', $conf['LLGBO2']);	
+		}
 	}
 
@@ -134,8 +133,6 @@
 // +-----------------------------------------------------------------------+
 	function uninstall() {  
-		conf_delete_param('LLGBO2settings');
-		conf_delete_param('LLGBO2tooltip');
-		conf_delete_param('LLGBO2frame');
-		conf_delete_param('LLGBO2header'); 
+		conf_delete_param('LLGBO2_Settings');
+	
 	}
 }